×

Discussion Board

Results 1 to 5 of 5

Hybrid View

  1. #1
    Registered User
    Join Date
    Oct 2009
    Posts
    95

    Question phonon app work on Qt4.5.0 but does not work on Qt4.5.3?

    i have a problem with a Qt application which uses phonon library. i built the app on a linux ubuntu with Qt 4.5.0 and the app works fine and the sound plays successfully.
    but when i take my app to a device having Qt4.5.3 the app work but the sound does not
    and i get the following warning
    Code:
    WARNING: Phonon needs QCoreApplication::applicationName to be set to export audio output names through the DBUS interface 
          WARNING: bool Phonon::FactoryPrivate::createBackend() phonon backend plugin could not be loaded 
          WARNING: bool Phonon::FactoryPrivate::createBackend() phonon backend plugin could not be loaded 
          WARNING: bool Phonon::FactoryPrivate::createBackend() phonon backend plugin could not be loaded 
          WARNING: bool Phonon::FactoryPrivate::createBackend() phonon backend plugin could not be loaded 
          WARNING: Phonon::createPath: Cannot connect  Phonon::MediaObject ( no objectName ) to  Phonon::AudioOutput ( no objectName ). 
          WARNING: bool Phonon::FactoryPrivate::createBackend() phonon backend plugin could not be loaded 
          WARNING: bool Phonon::FactoryPrivate::createBackend() phonon backend plugin could not be loaded 
          WARNING: bool Phonon::FactoryPrivate::createBackend() phonon backend plugin could not be loaded
    and i deployed my app on N900 device but also the sound does not work.
    what is the problem?
    thanks alot.

  2. #2
    Super Contributor
    Join Date
    Oct 2009
    Posts
    4,326

    Re: phonon app work on Qt4.5.0 but does not work on Qt4.5.3?

    Try this phonon demo
    http://www.mediafire.com/file/dj41mn...aplayer.tar.gz
    It works fine both in Ubuntu 9.04 and on Maemo 5.

    If it doesn't work for you then there is something with your configuration. Try to provide output of dpkg -l "*qt4*" then.

  3. #3
    Registered User
    Join Date
    Oct 2009
    Posts
    95

    Re: phonon app work on Qt4.5.0 but does not work on Qt4.5.3?

    I tried to execute the example but i get the same warning so i searched on the Internet about a solution. i found that i must install the package
    phonon-backend-gstreamer
    so i installed it and tried to run the example again, i get the following
    message when i am trying to operate mp3 file.
    (<unknown>:3830): GStreamer-CRITICAL **: gst_element_make_from_uri: assertion `gst_uri_is_valid (uri)' failed
    can you help me plz?

  4. #4
    Super Contributor
    Join Date
    Oct 2009
    Posts
    4,326

    Re: phonon app work on Qt4.5.0 but does not work on Qt4.5.3?

    Quote Originally Posted by mismael View Post
    I tried to execute the example but i get the same warning so i searched on the Internet about a solution. i found that i must install the package
    phonon-backend-gstreamer
    so i installed it and tried to run the example again, i get the following
    message when i am trying to operate mp3 file.
    (<unknown>:3830): GStreamer-CRITICAL **: gst_element_make_from_uri: assertion `gst_uri_is_valid (uri)' failed
    can you help me plz?
    It's enough to re-flash device with 42-11 release and then install Qt packages from here: http://repository.maemo.org/pool/fre...ree/q/qt4-x11/

  5. #5
    Super Contributor
    Join Date
    Mar 2009
    Posts
    1,024

    Re: phonon app work on Qt4.5.0 but does not work on Qt4.5.3?

    Hi,
    Hard to say where issue is.. if it's a GStreamer problem or something wrong in Phonon.

    Maemo Qt 4.5.3 with Maemo5 GStreamer should work fine.. if you want to understand what is
    broken in your linux box,I suggest you to enable debug messages.
    Phonon debug messages can be enabled setting PHONON_GST_DEBUG to 3
    and then launching your application.
    You can enable GStreamer debug messages setting GST_DEBUG var.

    Antonio

Similar Threads

  1. Why my socket app doesn't work with some network operator/
    By joke_playwiz in forum Symbian Networking & Messaging (Closed)
    Replies: 4
    Last Post: 2005-07-14, 21:17
  2. Y cant my app work in Samsung fone but works in Nokia?
    By 180ºrevolution in forum Mobile Java General
    Replies: 3
    Last Post: 2004-10-30, 14:42
  3. MediaSampler example app doesn't work on my real 6230
    By tauchviesch in forum Mobile Java Media (Graphics & Sounds)
    Replies: 0
    Last Post: 2004-10-27, 17:40
  4. Replies: 0
    Last Post: 2004-10-18, 18:06
  5. Does my App work on other Symbian handys ?
    By IngeSchmidt in forum Symbian Tools & SDKs
    Replies: 1
    Last Post: 2004-08-31, 17:48

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
×